# rpmstring.h File Reference

String manipulation helper functions. More...

`#include <stddef.h>`
`#include <rpm/rpmutil.h>`

Include dependency graph for rpmstring.h:

Go to the source code of this file.

## Defines
#define | appendStringBuf(sb, s) appendStringBufAux(sb, s, 0)
#define | appendLineStringBuf(sb, s) appendStringBufAux(sb, s, 1)
## Typedefs
typedef struct StringBufRec * | StringBuf
## Functions
static RPM_GNUC_CONST int | rislower (int c)
| Locale insensitive islower(3).
static RPM_GNUC_CONST int | risupper (int c)
| Locale insensitive isupper(3).
static RPM_GNUC_CONST int | risalpha (int c)
| Locale insensitive isalpha(3).
static RPM_GNUC_CONST int | risdigit (int c)
| Locale insensitive isdigit(3).
static RPM_GNUC_CONST int | risalnum (int c)
| Locale insensitive isalnum(3).
static RPM_GNUC_CONST int | risblank (int c)
| Locale insensitive isblank(3).
static RPM_GNUC_CONST int | risspace (int c)
| Locale insensitive isspace(3).
static RPM_GNUC_CONST int | rtolower (int c)
| Locale insensitive tolower(3).
static RPM_GNUC_CONST int | rtoupper (int c)
| Locale insensitive toupper(3).
static RPM_GNUC_CONST unsigned char | rnibble (char c)
| Convert hex to binary nibble.
RPM_GNUC_PURE int | rstrcasecmp (const char *s1, const char *s2)
| Locale insensitive strcasecmp(3).
RPM_GNUC_PURE int | rstrncasecmp (const char *s1, const char *s2, size_t n)
| Locale insensitive strncasecmp(3).
int | rasprintf (char **strp, const char *fmt,...) RPM_GNUC_PRINTF(2
| asprintf() clone
int char * | rstrcat (char **dest, const char *src)
| Concatenate two strings with dynamically (re)allocated memory.
char * | rstrscat (char **dest, const char *arg,...) RPM_GNUC_NULL_TERMINATED
| Concatenate multiple strings with dynamically (re)allocated memory.
size_t | rstrlcpy (char *dest, const char *src, size_t n)
| strlcpy() clone: Copy src to string dest of size n.
char * | stripTrailingChar (char *s, char c)
| Remove occurences of trailing character from string.
StringBuf | newStringBuf (void)
StringBuf | freeStringBuf (StringBuf sb)
void | truncStringBuf (StringBuf sb)
char * | getStringBuf (StringBuf sb)
void | stripTrailingBlanksStringBuf (StringBuf sb)
void | appendStringBufAux (StringBuf sb, const char *s, int nl)

## Detailed Description

String manipulation helper functions.

Definition in file rpmstring.h.

## Function Documentation

static RPM_GNUC_CONST unsigned char rnibble | ( | char | c | ) | `[inline, static]`

Convert hex to binary nibble.

Parameters:

  | c | hex character

Returns:
  binary nibble

Definition at line 95 of file rpmstring.h.